import request from '@/utils/request'

// 查询列表
export function listCoupon(data) {
  return request({
    url: '/xh/coupon/coupon/xhlist',
    method: 'post',
    data: data
  })
}

// 修改状态
export function editStatus(data) {
  return request({
    url: '/xh/coupon/coupon/editStatus',
    method: 'post',
    data: data
  })
}

// 查询详细
export function couponDetail(id) {
  return request({
    url: '/xh/coupon/coupon/xh/' + id,
    method: 'get'
  })
}

// 修改
export function editCoupon(data) {
  return request({
    url: '/xh/coupon/coupon/edit',
    method: 'post',
    data: data
  })
}
